OpenShot Audio Library | OpenShotAudio: juce::dsp::IIR::ArrayCoefficients< NumericType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::dsp::IIR::ArrayCoefficients< NumericType > Struct Template Reference

`#include <juce_IIRFilter.h>`

## Static Public Member Functions
static std::array< NumericType, 4 > | makeFirstOrderLowPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 4 > | makeFirstOrderHighPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 4 > | makeFirstOrderAllPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeLowPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeLowPass (double sampleRate, NumericType frequency, NumericType Q)
static std::array< NumericType, 6 > | makeHighPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeHighPass (double sampleRate, NumericType frequency, NumericType Q)
static std::array< NumericType, 6 > | makeBandPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeBandPass (double sampleRate, NumericType frequency, NumericType Q)
static std::array< NumericType, 6 > | makeNotch (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeNotch (double sampleRate, NumericType frequency, NumericType Q)
static std::array< NumericType, 6 > | makeAllPass (double sampleRate, NumericType frequency)
static std::array< NumericType, 6 > | makeAllPass (double sampleRate, NumericType frequency, NumericType Q)
static std::array< NumericType, 6 > | makeLowShelf (double sampleRate, NumericType cutOffFrequency, NumericType Q, NumericType gainFactor)
static std::array< NumericType, 6 > | makeHighShelf (double sampleRate, NumericType cutOffFrequency, NumericType Q, NumericType gainFactor)
static std::array< NumericType, 6 > | makePeakFilter (double sampleRate, NumericType centreFrequency, NumericType Q, NumericType gainFactor)

## Detailed Description

template<typename NumericType>
struct juce::dsp::IIR::ArrayCoefficients< NumericType >

A set of coefficients for use in an Filter object.

Definition at line 36 of file juce_dsp/processors/juce_IIRFilter.h.

## Member Function Documentation

## ◆ makeAllPass() [1/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeAllPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for an all-pass filter.

Definition at line 173 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeAllPass() [2/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeAllPass | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | Q )
| static

Returns the coefficients for an all-pass filter with variable Q.

Definition at line 180 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeBandPass() [1/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeBandPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a band-pass filter.

Definition at line 120 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeBandPass() [2/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeBandPass | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | Q )
| static

Returns the coefficients for a band-pass filter with variable Q.

Definition at line 127 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeFirstOrderAllPass()

template<typename NumericType >

std::array< NumericType, 4 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderAllPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a first order all-pass filter.

Definition at line 56 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeFirstOrderHighPass()

template<typename NumericType >

std::array< NumericType, 4 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderHighPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a first order high-pass filter.

Definition at line 44 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeFirstOrderLowPass()

template<typename NumericType >

std::array< NumericType, 4 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderLowPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a first order low-pass filter.

Definition at line 32 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeHighPass() [1/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeHighPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a high-pass filter.

Definition at line 94 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeHighPass() [2/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeHighPass | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | Q )
| static

Returns the coefficients for a high-pass filter with variable Q.

Definition at line 101 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeHighShelf()

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeHighShelf | ( | double | sampleRate,
|  | NumericType | cutOffFrequency,
|  | NumericType | Q,
|  | NumericType | gainFactor )
| static

Returns the coefficients for a high-pass shelf filter with variable Q and gain.

The gain is a scale factor that the high frequencies are multiplied by, so values greater than 1.0 will boost the high frequencies, values less than 1.0 will attenuate them.

Definition at line 225 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeLowPass() [1/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeLowPass | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a low-pass filter.

Definition at line 68 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeLowPass() [2/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeLowPass | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | Q )
| static

Returns the coefficients for a low-pass filter with variable Q.

Definition at line 75 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeLowShelf()

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeLowShelf | ( | double | sampleRate,
|  | NumericType | cutOffFrequency,
|  | NumericType | Q,
|  | NumericType | gainFactor )
| static

Returns the coefficients for a low-pass shelf filter with variable Q and gain.

The gain is a scale factor that the low frequencies are multiplied by, so values greater than 1.0 will boost the low frequencies, values less than 1.0 will attenuate them.

Definition at line 199 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeNotch() [1/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeNotch | ( | double | sampleRate,
|  | NumericType | frequency )
| static

Returns the coefficients for a notch filter.

Definition at line 147 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makeNotch() [2/2]

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makeNotch | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | Q )
| static

Returns the coefficients for a notch filter with variable Q.

Definition at line 154 of file juce_dsp/processors/juce_IIRFilter.cpp.

## ◆ makePeakFilter()

template<typename NumericType >

std::array< NumericType, 6 > juce::dsp::IIR::ArrayCoefficients< NumericType >::makePeakFilter | ( | double | sampleRate,
|  | NumericType | centreFrequency,
|  | NumericType | Q,
|  | NumericType | gainFactor )
| static

Returns the coefficients for a peak filter centred around a given frequency, with a variable Q and gain.

The gain is a scale factor that the centre frequencies are multiplied by, so values greater than 1.0 will boost the centre frequencies, values less than 1.0 will attenuate them.

Definition at line 251 of file juce_dsp/processors/juce_IIRFilter.cpp.

The documentation for this struct was generated from the following files:

- juce_dsp/processors/juce_IIRFilter.h
- juce_dsp/processors/juce_IIRFilter.cpp